//Datei: INTERUPT.C
//
// Interruptbehandlung fr Timer0 und EEPROM
//
// Copyright 1998 by Holger Klabunde
// 30.04.2001
// Compiler CC5x

#include "prozess.h"      /* Der verwendete Prozessor */
#include "protos.h"

#include <int16CXX.H>

#pragma origin 4

interrupt int_server( void)
{
 int_save_registers    // W, STATUS (and PCLATH)

 if(T0IF) //War ein Timer Interrupt
  {
   tastbuf=(~PORTA)&0x1F; //Tastatur lesen, lowaktiv
                          //RA5-7 nicht vorhanden, besser lschen
                          
   if(tastbuf>0)
    {
     boing++; //Flag INT war da setzen und INT's zhlen
   			  //wenn Taste gedrckt wurde
     if(boing==0) boing++; //boing=0 bei berlauf vermeiden !
    }
   else boing=0;          //Keine Taste gedrckt, Tastaturrepeat aus
   
   T0IF=0; //Interrupt Flag lschen
  }

 if(EEIF) //War ein EEPROM Interrupt
  {
   EEIF=0; //Interrupt Flag lschen
   EEIE=0; //Interrupt selbst lschen
		  //Quasi als Schreibschutz frs EEPROM
  }

 int_restore_registers // W, STATUS (and PCLATH)
}

