// Datei: SHOWDISP.C
// 30MHz-PLL_Rechteckgenerator mit PIC16C|F84
//
// Darstellung auf der LCD-Anzeige
//
// Copyright 1998 by Holger Klabunde
// 30.04.2001
// Compiler CC5x

#include "prozess.h"      /* Der verwendete Prozessor */
#include "pllser84.h"
#include "protos.h"

//************************************************
// Zeigt die 6 Dezimalstellen auf dem LCD Display 
//************************************************
void ShowDisplay()
{
 LCDPos(1,1);

 for(i=1; i<6; i++) // Generator Anzeige in ASCII umrechnen
  {
   result=display[i]+0x30;
   LCDWriteByte(result);
  }

 LCDWriteByte('.');

 result=display[6]+0x30; // Hunderter Stelle
 LCDWriteByte(result);

 LCDWrite(" kHz");

 LCDPos(1,stelle); // Cursor auf alte Dezimalstelle
 if(stelle==6) LCDPos(1,7); //Aber nicht auf Dezimalpunkt
}